## net.i2p.i2ptunnel
Class I2PTunnelIRCClient.IrcInboundFilter

    java.lang.Object
      net.i2p.i2ptunnel.I2PTunnelIRCClient.IrcInboundFilter

All Implemented Interfaces:
  Runnable

Enclosing class:
  I2PTunnelIRCClient

    public static class I2PTunnelIRCClient.IrcInboundFilter

extends Object
implements Runnable

Constructor Summary
`I2PTunnelIRCClient.IrcInboundFilter(Socket _local, I2PSocket _remote, StringBuffer pong, Log log)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### I2PTunnelIRCClient.IrcInboundFilter

    public I2PTunnelIRCClient.IrcInboundFilter(Socket _local,
                                               I2PSocket _remote,
                                               StringBuffer pong,
                                               Log log)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`